cURL
curl -X POST "https://api.klipl.ink/v1/links" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"destination_url": "https://example.com/",
"back_half": "your-link",
"title": "KlipLink API Guide",
"domain": "links.your-website.com"
}'import requests
response = requests.post(
"https://api.klipl.ink/v1/links",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"destination_url": "https://example.com/",
"back_half": "your-link", # optional
"title": "KlipLink API Guide", # optional
"domain": "links.your-website.com" # optional
}
)
print(response.json())
const response = await fetch("https://api.klipl.ink/v1/links", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
destination_url: "https://example.com/",
back_half: "your-link", // optional
title: "KlipLink API Guide", // optional
domain: "links.your-website.com" // optional
})
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://api.klipl.ink/v1/links");
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer YOUR_API_KEY",
"Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"destination_url" => "https://example.com/",
"back_half" => "your-link", // optional
"title" => "KlipLink API Guide", // optional
"domain" => "links.your-website.com" // optional
]));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = json_decode(curl_exec($ch), true);
print_r($response);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.klipl.ink/v1/links"
payload := strings.NewReader("{\n \"destination_url\": \"https://example.com/\",\n \"back_half\": \"your-link\",\n \"title\": \"KlipLink API Guide\",\n \"domain\": \"links.your-website.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.klipl.ink/v1/links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_url\": \"https://example.com/\",\n \"back_half\": \"your-link\",\n \"title\": \"KlipLink API Guide\",\n \"domain\": \"links.your-website.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.klipl.ink/v1/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_url\": \"https://example.com/\",\n \"back_half\": \"your-link\",\n \"title\": \"KlipLink API Guide\",\n \"domain\": \"links.your-website.com\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"short_url": "https://klipl.ink/your-link",
"destination_url": "https://example.com/",
"created_at": "2025-11-06T14:30:00.000Z",
"clicks": 0,
"title": "KlipLink API Guide"
}Link Endpoints
Create A Link
Creates a new short link. destination_url is required. All other fields are optional.
POST
/
v1
/
links
cURL
curl -X POST "https://api.klipl.ink/v1/links" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"destination_url": "https://example.com/",
"back_half": "your-link",
"title": "KlipLink API Guide",
"domain": "links.your-website.com"
}'import requests
response = requests.post(
"https://api.klipl.ink/v1/links",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"destination_url": "https://example.com/",
"back_half": "your-link", # optional
"title": "KlipLink API Guide", # optional
"domain": "links.your-website.com" # optional
}
)
print(response.json())
const response = await fetch("https://api.klipl.ink/v1/links", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
destination_url: "https://example.com/",
back_half: "your-link", // optional
title: "KlipLink API Guide", // optional
domain: "links.your-website.com" // optional
})
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://api.klipl.ink/v1/links");
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer YOUR_API_KEY",
"Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"destination_url" => "https://example.com/",
"back_half" => "your-link", // optional
"title" => "KlipLink API Guide", // optional
"domain" => "links.your-website.com" // optional
]));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = json_decode(curl_exec($ch), true);
print_r($response);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.klipl.ink/v1/links"
payload := strings.NewReader("{\n \"destination_url\": \"https://example.com/\",\n \"back_half\": \"your-link\",\n \"title\": \"KlipLink API Guide\",\n \"domain\": \"links.your-website.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.klipl.ink/v1/links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_url\": \"https://example.com/\",\n \"back_half\": \"your-link\",\n \"title\": \"KlipLink API Guide\",\n \"domain\": \"links.your-website.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.klipl.ink/v1/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_url\": \"https://example.com/\",\n \"back_half\": \"your-link\",\n \"title\": \"KlipLink API Guide\",\n \"domain\": \"links.your-website.com\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"short_url": "https://klipl.ink/your-link",
"destination_url": "https://example.com/",
"created_at": "2025-11-06T14:30:00.000Z",
"clicks": 0,
"title": "KlipLink API Guide"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The URL the short link should redirect to.
Example:
"https://example.com/"
Custom slug for the short link. If omitted, one is generated automatically.
Example:
"your-link"
A human-readable label for the link.
Example:
"KlipLink API Guide"
A custom domain to use for the short link. Must be added to your account first.
Example:
"links.your-website.com"
⌘I
